# kio Library API Documentation

Overview | Class Hierarchy | Classes | Classes (annotated) | Members | Namespaces | Source Files

# KProtocolInfo::ExtraField Struct Reference

Definition of an extra field in the UDS entries, returned by a listDir operation. More...

`#include <kprotocolinfo.h>`

Collaboration diagram for KProtocolInfo::ExtraField:

[legend]
List of all members.

## Public Member Functions

| ExtraField (const QString &_name, const QString &_type)

## Public Attributes

QString | name
QString | type

## Detailed Description

Definition of an extra field in the UDS entries, returned by a listDir operation.

The name is the name of the column, translated.

The type name comes from QVariant::typeName() Currently supported types: "QString", "QDateTime" (ISO-8601 format)

Since:
  3.2

Definition at line 171 of file kprotocolinfo.h.

The documentation for this struct was generated from the following file:

- kprotocolinfo.h

This file is part of the documentation for kio Library Version 3.4.1.
Documentation copyright © 1996-2004 the KDE developers.
Generated on Sat Jun 11 20:25:12 2005 by doxygen 1.4.1 written by Dimitri van Heesch, © 1997-2003